#include <ksanepage.h>
#include <ksanehpplugins.h>

#include "flyscanplugin.h"

#include "pageswidget.h"

#include "pdfdocumentsaver.h"
#include "tiffdocumentsaver.h"

#include "hpplugins.h"

const QString pdfFormat = QStringLiteral("pdf");

FlyScanPlugin::FlyScanPlugin(QObject *parent)
{

}

KSanePagesWidget *FlyScanPlugin::createPagesWidget()
{
    return new PagesWidget;
}

QList<DocumentSaver *> FlyScanPlugin::createDocumentSavers()
{
    QList<DocumentSaver *> savers;
    savers.append(new PdfDocumentSaver);
    savers.append(new TiffDocumentSaver);

    return savers;
}

KSaneHPPlugins *FlyScanPlugin::createHPPlugins()
{
    return new HPPlugins;
}
