#ifndef PDFDOCUMENTSAVER_H
#define PDFDOCUMENTSAVER_H

#include <documentsaver.h>

class PdfDocumentSaver : public DocumentSaver
{
    Q_OBJECT
public:
    explicit PdfDocumentSaver(QObject *parent = nullptr);
    ~PdfDocumentSaver();

    QString format() override;
    QString mimeType() override;
    QString name() override;

    bool newDocument(const QUrl &url, const QString &name, int dpi) override;
    bool saveDocument() override;
    bool savePage(const QByteArray &data, int width, int height, int bpl, int dpi, int format, const QString& fileFormat, int quality) override;
    bool savePage(const QImage &page, int dpi) override;

protected:
    void run() override;

private:
    struct Private;
    Private *const d;
};

#endif // PDFDOCUMENTSAVER_H
